<?php
/**
 * ============================================================================
 * 版权所有 多多科技，保留所有权利。
 * 网站地址: http://soft.duoduo123.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和使用；
 * 不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
*/

if(!defined('ADMIN')){
	exit('Access Denied');
}

if (strtolower($_SERVER['REQUEST_METHOD']) == 'post'){
$page = !($_POST['page'])?'1':intval($_POST['page']);
$pagesize=$_POST['limit'];
$frmnum=($page-1)*$pagesize;
$q=$_POST['title'];
$where=" and 1=1";
if(isset($_POST['parent_id']) && $_POST['parent_id']!=0){
	$parent_id=$_POST['parent_id'];
	$where.=' and parent_id="'.$parent_id.'"';
}

if ($_POST['mod1']){
  $where.=' and `mod`="'.$_POST['mod1'].'"';
}

$total=$duoduo->count(MOD,"`title` like '%$q%'".$where);
$row=$duoduo->select_all(MOD,'*','`title` like "%'.$q.'%"'.$where.' order by id desc limit '.$frmnum.','.$pagesize);
$node_arr=$duoduo->select_2_field('menu','node,`title`','`parent_id`=0 order by `listorder` desc');

foreach ($row as $key => $value) {
	  $row[$key]['pnode']=$value['parent_id']==0?"无":$node_arr[$value['node']];
	  $row[$key]['statustext']=$value['hide']==0?"显示":"隐藏";
}
	json(0,"",$row,$total);

}